org.eclipse.wst.jsdt.debug.core.jsdi.connect

## Interface Connector.Argument

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  Connector.BooleanArgument, Connector.IntegerArgument, Connector.SelectedArgument, Connector.StringArgument

Enclosing interface:
  Connector

    public static interface Connector.Argument
    extends java.io.Serializable

Default description of an argument that this `Connector` can support

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `description()` A human readable description of the `Connector.Argument`.
`boolean` `isValid(java.lang.String value)` Returns if the given value is valid with-respect-to this `Connector.Argument`
`java.lang.String` `label()` The simple label of the `Connector.Argument`.
`boolean` `mustSpecify()` Returns `true` if this `Connector.Argument` is required `false` otherwise.
`java.lang.String` `name()` The name of the `Connector.Argument`.
`void` `setValue(java.lang.String value)` Sets the value of the `Connector.Argument` to be the given value.
`java.lang.String` `value()` Returns the value of the `Connector.Argument`.

### Method Detail

#### description

    java.lang.String description()

A human readable description of the `Connector.Argument`.
This method can return `null`

Returns:
  the description of the `Connector.Argument` or `null`

#### label

    java.lang.String label()

The simple label of the `Connector.Argument`.
This method can return `null`

Returns:
  the label for this `Connector.Argument` or `null`

#### mustSpecify

    boolean mustSpecify()

Returns `true` if this `Connector.Argument` is required `false` otherwise.

Returns:
  `true` if this `Connector.Argument` is required `false` otherwise

#### name

    java.lang.String name()

The name of the `Connector.Argument`.
This method can return `null`

Returns:
  the name or the `Connector.Argument` or `null`

#### isValid

    boolean isValid(java.lang.String value)

Returns if the given value is valid with-respect-to this `Connector.Argument`

Parameters:
  `value` - the value to test for validity, `null` is accepted
Returns:
  `true` if the `Connector.Argument` is valid `false` otherwise

#### setValue

    void setValue(java.lang.String value)

Sets the value of the `Connector.Argument` to be the given value.

Parameters:
  `value` - the new value to set, `null` is accepted

#### value

    java.lang.String value()

Returns the value of the `Connector.Argument`.
This method can return `null`

Returns:
  the string value of the `Connector.Argument` or `null`